Subject: bug#18444: 24.3.93; Error running timer 'compilation-auto-jump' from grep-mode

From: Glenn Morris <[email-masked]>
Date: Sat, 20 Sep 2014 17:40:25 -0400

David Engster wrote:

> - Following RMS initial idea, use a text property to mark text which
>   should not be parsed for errors.

There's a compilation-message = nil property (or somesuch; can't check
right now) that grep.el adds via font-lock that is presumably supposed
to handle this, but it does not seem to work. compile.el does similar
things for its start and end messages.

> mistakes. Also, this was apparently broken for years...

Yes, but the error used to be silently discarded. People are likely to
notice it now. (People who run with debug-on-error non-nil will get true
errors. So don't do that. :)) If there was a simple fix it could go in
24.4, but otherwise it can indeed wait. I thought someone should at
least have a look...